Bug 432073 - single-user mode calls sulogin
single-user mode calls sulogin
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: event-compat-sysv (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Casey Dahlin
Fedora Extras Quality Assurance
:
Depends On:
Blocks: upstart
  Show dependency treegraph
 
Reported: 2008-02-08 13:12 EST by Bill Nottingham
Modified: 2014-06-18 04:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-14 00:28:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2008-02-08 13:12:55 EST
Description of problem:

Historically, we just drop to a shell.

Version-Release number of selected component (if applicable):

event-compat-sysv-0.3.9-5.fc9
Comment 1 Casey Dahlin 2008-02-10 18:52:15 EST
What problems are created by this?
Comment 2 Bill Nottingham 2008-02-11 13:31:43 EST
Changed expectations. Just changing it to /bin/bash should work.
Comment 3 Casey Dahlin 2008-02-11 16:34:20 EST
Just built 0.3.9-6

I'll test it further when I can be in the physical presence of my testing box.
Comment 4 Casey Dahlin 2008-02-14 00:28:27 EST
Latest package behaves well. Closing this one
Comment 5 Valdis Kletnieks 2008-03-22 07:42:31 EDT
Ahem. Many sites have this in their /etc/inittab:

sum:S:wait:/sbin/sulogin


And to top it off, the comments at the top of /etc/event.d/rcS-sulogin say:

# This task runs the sulogin binary during "single-user" mode.

And the file is *called* 'sulogin', not rcS-runbash.

I'd say there's an expectation that it invokes /sbin/sulogin, not a raw
unprotected shell....

Possible work-around while /etc/inittab is still around:

script
        runlevel --set S >/dev/null || true
        grep -q 'S:wait:/sbin/sulogin' /etc/inittab
        if [ $? = 0 ]; then
            /sbin/sulogin
        else
            /bin/bash
        fi

        if [ -r /etc/inittab ]; then
Comment 6 Bill Nottingham 2008-03-24 13:38:01 EDT
Don't think it's practical to rely on the presence of inittab. Renaming the file
could be an option, though.
Comment 7 Bill Nottingham 2008-03-24 13:38:36 EDT
That being said, it still falls under the general category of 'if you have
customized your /etc/inittab, you will need to do customization of the default
upstart setup.'
Comment 8 Valdis Kletnieks 2008-03-24 14:42:46 EDT
Right - but there's 2 points here: (1) There's precious little doc yet on how to
customize it, and (2) The file is *called* sulogin, the comment at the top
*says* it runs sulogin - but it doesn't, it runs bash instead.  Certainly
counter-intuitive.


Note You need to log in before you can comment on or make changes to this bug.